import QtQuick
import QtQuick.Window
import QtQuick.Layouts

Window {
    SystemPalette { id: activeColors; colorGroup: SystemPalette.Active }
    SystemPalette { id: inactiveColors; colorGroup: SystemPalette.Inactive }
    SystemPalette { id: disabledColors; colorGroup: SystemPalette.Disabled }

    id: root
    width: 640
    height: 480
    visible: true
    color: active ? activeColors.window : inactiveColors.window

    title: qsTr("Alisa - License Managment")

    Rectangle {
        id: s1
        anchors {
            top: parent.top
            left: parent.left
            right: parent.rightali
        }
        height: 50
        border.width: 5
        border.color: root.active ? activeColors.accent : inactiveColors.accent
        color: root.active ? activeColors.midlight : inactiveColors.midlight
    }
}
